import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileCreateManyFolderInputObjectSchema as CloudFileCreateManyFolderInputObjectSchema } from './CloudFileCreateManyFolderInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => CloudFileCreateManyFolderInputObjectSchema), z.lazy(() => CloudFileCreateManyFolderInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const CloudFileCreateManyFolderInputEnvelopeObjectSchema: z.ZodType<Prisma.CloudFileCreateManyFolderInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileCreateManyFolderInputEnvelope>;
export const CloudFileCreateManyFolderInputEnvelopeObjectZodSchema = makeSchema();
